# Generated by Django 2.0 on 2018-03-13 17:19

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Break',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('day', models.CharField(choices=[('monday', 'Monday'), ('tuesday', 'Tuesday'), ('wednesday', 'Wednesday'), ('thursday', 'Thursday'), ('friday', 'Friday'), ('saturday', 'Saturday'), ('sunday', 'Sunday')], max_length=20, verbose_name='day')),
                ('time_begin', models.TimeField(verbose_name='time begin')),
                ('time_end', models.TimeField(verbose_name='time end')),
            ],
            options={
                'verbose_name': 'break',
                'verbose_name_plural': 'breaks',
            },
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=50, verbose_name='first name')),
                ('last_name', models.CharField(max_length=50, verbose_name='last name')),
                ('date_time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date and time')),
                ('email', models.EmailField(blank=True, max_length=254)),
            ],
            options={
                'verbose_name': 'client',
                'verbose_name_plural': 'clients',
            },
        ),
        migrations.CreateModel(
            name='Provider',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=50, verbose_name='first name')),
                ('last_name', models.CharField(max_length=50, verbose_name='last name')),
            ],
            options={
                'verbose_name': 'provider',
                'verbose_name_plural': 'providers',
            },
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='name')),
                ('price', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='price')),
                ('duration', models.TimeField(blank=True, default='00:30', verbose_name='duration')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'service',
                'verbose_name_plural': 'services',
            },
        ),
        migrations.CreateModel(
            name='WorkingPlan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('monday_start', models.TimeField(default='00:00')),
                ('monday_end', models.TimeField(default='23:59')),
                ('tuesday_start', models.TimeField(default='00:00')),
                ('tuesday_end', models.TimeField(default='23:59')),
                ('wednesday_start', models.TimeField(default='00:00')),
                ('wednesday_end', models.TimeField(default='23:59')),
                ('thursday_start', models.TimeField(default='00:00')),
                ('thursday_end', models.TimeField(default='23:59')),
                ('friday_start', models.TimeField(default='00:00')),
                ('friday_end', models.TimeField(default='23:59')),
                ('saturday_start', models.TimeField(default='00:00')),
                ('saturday_end', models.TimeField(default='23:59')),
                ('sunday_start', models.TimeField(default='00:00')),
                ('sunday_end', models.TimeField(default='23:59')),
            ],
        ),
        migrations.AddField(
            model_name='provider',
            name='services',
            field=models.ManyToManyField(to='homepage.Service', verbose_name='services'),
        ),
        migrations.AddField(
            model_name='provider',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AddField(
            model_name='provider',
            name='working_plan',
            field=models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to='homepage.WorkingPlan', verbose_name='working plan'),
        ),
        migrations.AddField(
            model_name='client',
            name='provider',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='homepage.Provider', verbose_name='provider'),
        ),
        migrations.AddField(
            model_name='client',
            name='service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='homepage.Service', verbose_name='service'),
        ),
        migrations.AddField(
            model_name='client',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AddField(
            model_name='break',
            name='provider',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='homepage.Provider', verbose_name='provider'),
        ),
    ]
